Subject: Re: [ieee-ietf-coord] Coordination Gathering Needed in Prague?

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 17 Jul 2019 16:56:26 +0200

Donald,

For information today we sent the first CAM over 802.11-OCB with empty 
GeoNetworking/BTP headers, with EtherType 0x88B5.  This is in agreement 
with RSU manufacturer (the one who receives that CAM).

The problem we are trying to solve with this solution is the following: 
when the car sends a CAM with empty GeoNet/BTP headers near the RSU it 
breaks the RSU.  We think that breaks because the V2X stack on the RSU 
expects filled GeoNetworking/BTP headers when the EtherType is 0x8947 
(called 'GeoNetworking').

So we will try this new solution in the street and see whether it works 
better.

Alex

Le 04/04/2019 à 17:05, Donald Eastlake a écrit :
> Hi Alex,
> 
> I would say you should not use 0xFFFF. IEEE standards are clear that 
> 0xFFFF is not a valid Ethertype.
> 
> I suggest you use 0x88B5 or 0x88B6, the Ethertypes reserved for local 
> experimentation.
> 
> By the way, IEEE traditionally waives the fee when Ethertypes are 
> assigned for standards use but, as far as I know, there is no facility 
> for "temporary" Ethertype assignments.
> 
> Thanks,
> Donald
> ===============================
>   Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>   1424 Pro Shop Court, Davenport, FL 33896 USA
> [email-masked] <mailto:[email-masked]>
> 
> 
> On Thu, Apr 4, 2019 at 4:55 AM Alexandru Petrescu 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     I propose I use 0xFFFF for now for CAMs over empty BTP and
>     GeoNetworking.
> 
>     I suppose 0xffff is not used, as it is the last one.
> 
>     I can not plan for budget for it at this time, but I need to use it in
>     the street.  I can provide the location if needed.
> 
>     I want to thank you for the clarification.
> 
>     The blocking point to further exploring is the apparent necessity of
>     Registration Fee of cca 3k usd.  It is not the amount, but it is the
>     potential risk of temporary  use.  It's hard to pay money just for a
>     few
>     months of use.  I dont know whether it will be succesful any further to
>     warrant spending, for now.
> 
>     Alex
> 
>     Le 15/03/2019 à 16:59, Donald Eastlake a écrit :
>      > Of course the IEEE Registration Authority is the authoritative source
>      > for Ethertype assignment information. See
>      > https://standards.ieee.org/products-services/regauth/index.html It is
>      > somewhat of a historic accident that there is an informational
>     listing
>      > of historic and IETF relevant Ethertypes on the IANA web
>      > pages...Thanks,Donald=============================== Donald E.
>      > Eastlake 3rd   +1-508-333-2270 (cell) 1424 Pro Shop Court, Davenport,
>      > FL 33896 USA [email-masked] <mailto:[email-masked]>
>      > On Fri, Mar 15, 2019 at 11:29 AM Peter Yee <[email-masked]
>     <mailto:[email-masked]>> wrote:
>      >>
>      >> Ethertype 0x8948 is already assigned (although not listed on the
>     IANA's page for Ethertypes, which is not the definitive listing of
>     Ethertypes).  If you have a need for an Ethertype, you should
>     reference RFC 7042 (Section 3) and the IANA's IEEE 802 Numbers page
>     (https://www.iana.org/assignments/ieee-802-numbers/ieee-802-numbers.xhtml) 
>     for more information.  Donald Eastlake (primary) and Juan Carlos
>     Zuniga (secondary) are the IANA-designated experts for Ethertypes.
>      >>
>      >>                  -Peter
>      >>
>      >> On 3/15/19, 3:14 AM, "ieee-ietf-coord on behalf of Alexandre
>     Petrescu" <[email-masked]
>     <mailto:[email-masked]> on behalf of
>     [email-masked] <mailto:[email-masked]>>
>     wrote:
>      >>
>      >> One of my collaborators (RSU manufacturer) asked me in private which
>      >> EtherType to use  other than the allocated 0x8947 for
>     GeoNetworking, on
>      >> which to send CAM messages from car to Road-Side Units that use
>     empty
>      >> GeoNetworking and BTP headers.
>      >>
>      >> These are not IP messages, but are transmitted on IEEE 802.11
>     OCB.  They
>      >> do contain ETSI GeoNetworking headers but these headers are empty
>      >> because we dont trust their necessity.
>      >>
>      >> We agreed to put such CAMs with empty GeoNetowrking headers
>     present both
>      >> on cars and on Road-Side Units, we agreed to put at a particular
>     5.9GHz
>      >> channel, but we explore which EtherType to use.
>      >>
>      >> Is there some 'trial' EtherType for vehicles, which would not
>     disturb
>      >> others, be future proof, be available immediately (in the following
>      >> months).
>      >>
>      >> I thought to suggest 0x8948 (the next after 0x8947) but I dont know.
>      >>
>      >> Alex
>      >>
>      >> Le 20/02/2019 à 20:53, Russ Housley a écrit :
>      >>> During the coordination call today, no one had a topic that
>     needed a gathering in Prague.  Since some of you could not make the
>     call, we wanted to ask the list before deciding that there was not a
>     reason to get together.  If you know of a topic, please speak now.
>      >>>
>      >>> Russ
>      >>>
>      >>> _______________________________________________
>      >>> ieee-ietf-coord mailing list
>      >>> [email-masked] <mailto:[email-masked]>
>      >>> https://www.ietf.org/mailman/listinfo/ieee-ietf-coord
>      >
>